# enoko is my framework 13-inch AMD laptop, running nixos
{ inputs, lib, pkgs, ... }: {
  imports = [
    ./global.nix
    ./desktop/hyprland
  ];

  config.monitors = [
    {
      name = "eDP-1";
      width = 2256;
      height = 1504;
      workspace = "1";
      primary = true;
      position = "0x0";
    }
  ];
  # Fix HiDPI scaling
  config.wayland.windowManager.hyprland = {
    settings.xwayland.force_zero_scaling = true;
    settings.env = "GDK_SCALE,2";
  };
}
